aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPjotr Prins2018-08-25 09:47:25 +0000
committerPjotr Prins2018-08-25 09:47:25 +0000
commit3ebaa0718d92e9de9c85c9e462d8fff22ff65d1a (patch)
tree2fec7cc38228ca1e36822e829547cf80a3b04b52
parentd8928658e81082a0ad00e6d02103e85173e41339 (diff)
downloadpangemma-3ebaa0718d92e9de9c85c9e462d8fff22ff65d1a.tar.gz
Added a test for LM
-rwxr-xr-xtest/dev_test_suite.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/test/dev_test_suite.sh b/test/dev_test_suite.sh
index ad743ff..2fcd26d 100755
--- a/test/dev_test_suite.sh
+++ b/test/dev_test_suite.sh
@@ -4,6 +4,21 @@ gemma=../bin/gemma
# gemmaopts="-debug -strict"
gemmaopts="-debug"
+testLinearModel() {
+ $gemma $gemmaopts -g ../example/mouse_hs1940.geno.txt.gz \
+ -p ../example/mouse_hs1940.pheno.txt \
+ -n 1 \
+ -a ../example/mouse_hs1940.anno.txt \
+ -lm \
+ -o mouse_hs1940_CD8_lm
+ assertEquals 0 $?
+ grep "total computation time" < output/mouse_hs1940_CD8_lm.log.txt
+ assertEquals 0 $?
+ outfn=output/mouse_hs1940_CD8_lm.assoc.txt
+ assertEquals "118459" `wc -w < $outfn`
+ assertEquals "4053667109.69" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
+}
+
# Related to https://github.com/genetics-statistics/GEMMA/issues/78
testBXDStandardRelatednessMatrixKSingularError() {
outn=BXDerr